# Makefile for GLUT-based demo programs for VMS
# contributed by Jouk Jansen  joukj@hrem.nano.tudelft.nl
# Last revision : 15 February 2011

.include [---.mesa]mms-config.

##### MACROS #####

INCDIR = ([---.mesa.include],[-.util])
CFLAGS = /include=$(INCDIR)/prefix=all/name=(as_is,short)/float=ieee\
	/ieee=denorm/define=("DEMOS_DATA_DIR=""[-.data]""")

.ifdef SHARE
GL_LIBS = $(XLIBS)
.else
GL_LIBS = [---.mesa.lib]libGLUT/l,libMesaGLU/l,libMesaGL/l,$(XLIBS)
.endif

LIB_DEP = [---.mesa.lib]$(GL_LIB) [---.mesa.lib]$(GLU_LIB)\
	[---.mesa.lib]$(GLUT_LIB)

PROGS = cva.exe,\
	fogcoord.exe,\
	manytex.exe,\
	multipal.exe,\
	seccolor.exe,\
	sharedtex.exe,\
	texline.exe,\
	vptest1.exe,\
	vptest2.exe,\
	vptest3.exe,\
	vptorus.exe,\
	vpwarpmesh.exe

##### RULES #####
.obj.exe :
	cxxlink $(MMS$TARGET_NAME),sys$library:libglew.olb/lib,$(GL_LIBS)

##### TARGETS #####
default :
	$(MMS)$(MMSQUALIFIERS) $(PROGS)

clean :
	delete *.obj;*

realclean :
	delete $(PROGS)
	delete *.obj;*

cva.exe : cva.obj $(LIB_DEP)
fogcoord.exe : fogcoord.obj $(LIB_DEP)
manytex.exe : manytex.obj $(LIB_DEP)
multipal.exe : multipal.obj $(LIB_DEP)
seccolor.exe : seccolor.obj $(LIB_DEP)
sharedtex.exe : sharedtex.obj $(LIB_DEP)
texline.exe : texline.obj $(LIB_DEP)
vptest1.exe : vptest1.obj $(LIB_DEP)
vptest2.exe : vptest2.obj $(LIB_DEP)
vptest3.exe : vptest3.obj $(LIB_DEP)
vptorus.exe : vptorus.obj $(LIB_DEP)
vpwarpmesh.exe : vpwarpmesh.obj $(LIB_DEP)

cva.obj : cva.c
fogcoord.obj : fogcoord.c
manytex.obj : manytex.c
multipal.obj : multipal.c
seccolor.obj : seccolor.c
sharedtex.obj : sharedtex.c
texline.obj : texline.c
vptest1.obj : vptest1.c
vptest2.obj : vptest2.c
vptest3.obj : vptest3.c
vptorus.obj : vptorus.c
vpwarpmesh.obj : vpwarpmesh.c
