# Makefile for GLUT-based demo programs for VMS
# contributed by Jouk Jansen  joukj@hrem.nano.tudelft.nl
# Last revision : 26 November 2010

.include [---.mesa]mms-config.

##### MACROS #####

INCDIR = ([---.mesa.include],[-.util])
CFLAGS = /include=$(INCDIR)/prefix=all/name=(as_is,short)/float=ieee/ieee=denorm

.ifdef SHARE
GL_LIBS = $(XLIBS)
LIB_DEP = [---.mesa.lib]$(GL_SHAR) [---.mesa.lib]$(GLU_SHAR) [---.mesa.lib]$(GLUT_SHAR)
.else
GL_LIBS = [---.mesa.lib]libGLUT/l,libMesaGLU/l,libMesaGL/l,$(XLIBS)
LIB_DEP = [---.mesa.lib]$(GL_LIB) [---.mesa.lib]$(GLU_LIB) [---.mesa.lib]$(GLUT_LIB)
.endif


OBJS =readtex.obj,showbuffer.obj


##### RULES #####
.obj.exe :
	cxxlink $(MMS$TARGET_NAME),$(GL_LIBS)

##### TARGETS #####
default :
	$(MMS)$(MMSQUALIFIERS) $(OBJS)

clean :
	delete *.obj;*

realclean :
	delete *.obj;*

readtex.obj : readtex.c
showbuffer.obj : showbuffer.c
